package org.gcube.smartgears.extensions.resource;

import static org.gcube.smartgears.Constants.application_json;
import static org.gcube.smartgears.extensions.HttpExtension.Method.GET;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.gcube.smartgears.extensions.ApiResource;
import org.gcube.smartgears.extensions.ApiSignature;
import org.gcube.smartgears.health.response.HealthResponse;

public class HealthResource extends ApiResource {

	private static final long serialVersionUID = 1L;
	
	public static final String mapping = "/health";
	
	private static final ApiSignature signature = handles(mapping).with(method(GET).produces(application_json)); 
		
	
	HealthResource() {
		super(signature);
	}
	
	
	@Override
	public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		
	}

	
	public HealthResponse liveness() {
		return null;
	}
	
	public HealthResponse readiness() {
		return null;
	}
	
}