package org.gcube.smartgears.health.response;

import org.gcube.com.fasterxml.jackson.annotation.JsonInclude;
import org.gcube.com.fasterxml.jackson.annotation.JsonInclude.Include;
import org.gcube.common.validator.annotations.NotEmpty;
import org.gcube.common.validator.annotations.NotNull;
import org.gcube.smartgears.health.Status;

@JsonInclude(Include.NON_NULL)
public class HealthCheckResponse {
	
	public static HealthCheckResponseBuilder builder(String checkName) {
		return new HealthCheckResponseBuilder(checkName);
	}
	
	protected HealthCheckResponse() {}
	
	//enum ErrorType {UNRECOVERABLE, RECOVERABLE}
	
	@NotNull
	protected Status status;
	
	@NotNull @NotEmpty
	protected String name;
	
	//protected ErrorType errorType;
	
	protected String errorMessage;
	
}
